Loading...
Searching...
No Matches
netbuf.c File Reference
`#include "lwip/opt.h"`
`#include "lwip/netbuf.h"`
`#include "lwip/memp.h"`
`#include <string.h>`

## Functions

struct netbuf * | netbuf_new (void)
void | netbuf_delete (struct netbuf *buf)
void * | netbuf_alloc (struct netbuf *buf, u16_t size)
void | netbuf_free (struct netbuf *buf)
err_t | netbuf_ref (struct netbuf *buf, const void *dataptr, u16_t size)
void | netbuf_chain (struct netbuf *head, struct netbuf *tail)
err_t | netbuf_data (struct netbuf *buf, void **dataptr, u16_t *len)
s8_t | netbuf_next (struct netbuf *buf)
void | netbuf_first (struct netbuf *buf)

## Detailed Description

Network buffer management